<template>
	<!--弹窗-->
	<div class="yidialog-con" id="Dia">
		<div class="yid-con flex-row yid-con-col">
			<!-- 弹窗内容	-->
			<div class="super-group-alert">
				<div class="btn heart-beat"></div>
				<div class="close"></div>
			</div>
			<div class="super-bag before-open">
				<img class="bg" src="http://static2.61info.com/service/imgs/groupPurchase/act/super_group/bag_animate.png" alt="">
				<div class="bag">
					<div class="bag-bg"></div>
					<div class="btn heart-beat"></div>
				</div>
			</div>
			<div class="super-bag open-succ">
				<img class="bg" src="http://static2.61info.com/service/imgs/groupPurchase/act/super_group/bag_animate.png" alt="">
				<div class="bag">
					<div class="bag-bg"></div>
					<div class="succ-btn heart-beat">去购买</div>
					<div class="coupon-desc">新用户7元券</div>
					<div class="cut-down">47：58：24：7  内有效</div>
				</div>
			</div>
			<div class="end-alert">
				<div class="btn"></div>
			</div>
		</div>
	</div>
	<div id="superGroupFloat" class="super-group-float">
		<img class="img heart-beat" src="http://static2.61info.com/service/imgs/groupPurchase/act/super_group/float.png" alt="">
	</div>
	<div id="superCardEntry" class="super-card-entry">
		<img src="http://static2.61info.com/service/imgs/groupPurchase/act/super_group/entry_card.png?v=20200118" alt="">
	</div>
	<dl id="memberList" class="member-list not-all-list"></dl>
</template>

<script>
	export default {
		data: {
			pageName: $('body').data('page-name'), // inviteFriends  collageDetails
			courseId: +utils.getQueryString('courseId'),
			mainUrl: window.actIndependentDomain + '/app/spa/dengta_h5/super_group/super_group_main',
			detailUrl: window.actIndependentDomain + '/app/spa/dengta_h5/super_group/super_group_detail',
			paramsStr: ''
		},
		// pvuvkey
		pvuvKeyMap: {
			WX_INDEX_ALERT_EXPOSURE: 1572,
			WX_INDEX_ALERT_CLICK: 1571,
			APP_INDEX_ALERT_EXPOSURE: 1572,
			APP_INDEX_ALERT_CLICK: 1571,
			WX_MY_COURSE_ALERT_EXPOSURE: 1574,
			WX_MY_COURSE_ALERT_CLICK: 1573,
			CARD_ENTRY_EXPOSURE: 1576,
			CARD_ENTRY_CLICK: 1575,
			DETAIL_ALERT_EXPOSURE: 1579,
			DETAIL_ALERT_CLICK: 1578,
			DETAIL_FLOAT_EXPOSURE: 1581,
			DETAIL_FLOAT_CLICK: 1580,
			WX_MENU_CLICK: 1577,
			COUPON7_EXPOSURE: 1590,
			COUPON7_CLICK: 1589
		},
		channelMap: {
			WX_YEAR_MAIN: 142400016,
			IOS_YEAR_MAIN: 142400055,
			ANDRIOD_YEAR_MAIN: 142400033,
			WX_LIGHT: 142400078,
			IOS_LIGHT: 142400095,
			ANDROID_LIGHT: 142400087
		},
		// 初始化
		init: function () {
			var _this = this;
			var LEVEL_UP = 0; // "升级的超级团"
			var OPEN = 1; // "直接开的超级团"

			var posterOpenId = utils.getQueryString('posterOpenId') || '';
			var titleId = utils.getQueryString('titleId') || '';
			var gsa = utils.getQueryString('gsa') || '';
			_this.data.paramsStr = '&posterOpenId=' + posterOpenId + '&titleId=' + titleId + '&gsa=' + gsa; // 防止用户进入超级团页面过快分享把链接分享出去

			if (['moreCourse', 'user'].indexOf(_this.data.pageName) > -1) {
				_this.initEntry()
				return
			}
			if (_this.data.pageName == 'inviteFriends') {
				_this.initEntry()
			}
			if ([6, 7, 8].indexOf(+window.partnerGroupType) > -1) return;
			var superGroupId = utils.getQueryString('superGroupId');
			_this.request.groupInfo({groupId: superGroupId || window.groupId, courseId: _this.data.courseId}, function (res) {
				if (res.resultCode.code == 0) {
					var resData = res.value;
					resData.isActGoing = resData.sys > resData.start && resData.sys < resData.end; // 活动期间
					resData.isActEnd = resData.sys > resData.end; // 活动结束
					resData.isActEndAfter7Days = resData.sys > resData.end && resData.sys - resData.end > 7 * 24 * 3600 * 1000; // 7天之后

					if (resData.isActGoing) {
						_this.initEntry(resData)
					}
					if (resData.superGroup) {
						// if (resData.groupType == LEVEL_UP) return // 被动开启不跳转
						_this.data.pageName == 'collageDetails' && _this.initGroupPage(resData);
						_this.data.pageName == 'inviteFriends' && _this.initInvitePage(resData);
						(_this.data.pageName == 'unsubscribeDetails' || _this.data.pageName == 'paySuccess') && _this.initUnsubscribeDetails(resData);
					}
				}
			})
		},
		// 拼团页、参团页逻辑处理
		initGroupPage: function (resData) {
			var _this = this;
			var isGroupFull = utils.getBool(window.isGroupFull);
			var hasPayed = utils.getBool(window.hasPayed);
			var LEVEL_UP = 0; // "升级的超级团"
			var OPEN = 1; // "直接开的超级团"
			// if (!resData.hadPay) return // 如果课程没有购买，则不发生跳转

			if (resData.isActGoing) { // 活动期间
				if (resData.leader) {
					location.replace(_this.data.detailUrl + '?superGroupId=' + resData.superGroupId + '&courseId=' + _this.data.courseId + _this.data.paramsStr)
				} else {
					//	被动开团 resData.new && isGroupFull
					// 主动开团：resData.groupType == OPEN
					if (resData.new && isGroupFull || resData.groupType == OPEN) { // 成员样式修改
					// if (resData.new && isGroupFull || resData.groupType == OPEN) { // 成员样式修改
						window.isSuperGroupCanJoin = true
						$('body').on('superGroup', function () {
							setTimeout(function () {
								var $bottomBtn = $('.bottOnekey_group_btnom_btn_join');
								$('.join_group_box').show();
								$bottomBtn.find('.back_to_home_index').show();
								$bottomBtn.find('.Onekey_group_btn').show();
								$('.Onekey_group_btn pre').css({
									fontFamily: 'englishFont'
								});

								try {
									$('.group_full_btn').hide();
									$('.join_group_box').show().find('.Onekey_group_btn').show();
									var $bottom_btn_join = $('.bottom_btn_join');
									$bottom_btn_join.find('.back_to_home_index').show();
									$bottom_btn_join.find('.Onekey_group_btn').show();
								} catch (e) {
									console.error(e)
								}

								setScroll();

								$('.groupNum').text('超级团');
								$('.groupFullTip').hide();
								$('.collage_title').html('仅剩<span class="difference_num">1</span>个名额，先到先得！').show();
								initMemberList(resData)
							}, 300)
						})
						// setTimeout(function () {
						// 	$('.join_group_box').show();
						// 	$bottomBtn.find('.back_to_home_index').show();
						// 	$bottomBtn.find('.Onekey_group_btn').show();
						// 	setScroll();
						//
						// 	$('.groupNum').text('超级团');
						// 	$('.groupFullTip').hide();
						// 	$('.collage_title').html('仅剩<span class="difference_num">1</span>个名额，先到先得！').show();
						// 	initMemberList(resData)
						// 	setTimeDown(resData);
						// }, 500)
					}
					if (!resData.new && resData.groupType == OPEN) {
						ui61.toast('仅限新用户参与该团哦', 3000, function () {
							// 跳转到活动页
							location.replace(_this.data.mainUrl)
						})
					}
					if (resData.new) {
						iniCouponAlert(resData)
					} else {
						// setTimeDown(resData.end - resData.sys);
					}
				}
			}
			if (resData.isActEnd) { // 活动结束7天内
				if (!resData.isActEndAfter7Days) {
					if (resData.leader && ((resData.groupType == LEVEL_UP && resData.isGroupFull) || (resData.groupType == OPEN))) {
						location.replace(_this.data.detailUrl + '?superGroupId=' + resData.superGroupId + '&courseId=' + _this.data.courseId + _this.data.paramsStr)
					}
				}
				if (resData.new && hasPayed) {
					// 已购买课程页面为超级团团满页，后端已重定向
				}
				if (!resData.hasPayed && resData.groupType == OPEN) {
					// 活动结束弹窗
					_this.popupAlert.show('end-alert');
					var $endAlert = _this.popupAlert.get$Dia('end-alert');
					$endAlert.on('click', '.btn', function () {
						location.replace('/wx/groupBuy/moreCourse.html')
					})
				}
			}
			if (resData.isActEndAfter7Days) {
				// 团长进入超级团团满页面，后端已重定向
				// 对于inviteFriends和paySuccess只要判断是否有超级团，再作样式修改
			}

			function initMemberList(resData) {
				var $memberList = $(memberList);
				var html = '';
				resData.members.forEach(function (member, index) {
					if (index < 4) {
						var className = member.leader ? 'member-item leader-item' : 'member-item';
						html += '<dt class="' + className + '">' +
							'<img class="avatar" src="' + member.head + '" alt="">' +
							'</dt>'
					}
				})
				html += '<dt class="point-list">.....</dt>\n' +
				'\t\t<dt class="member-item share-fake">\n' +
				'\t\t\t<img class="avatar" src="http://static2.61info.com/service/imgs/groupPurchase/act/super_group/fake_avatar.png" alt="">\n' +
				'\t\t</dt>';
				$memberList.html(html);
				$('.collage_img').html($memberList);
			}

			function setScroll() {
				var $joinGroupBtn = $('.join_group_box');
				var $bottomBtn = $('.bottom_btn_join');
				document.addEventListener('scroll', utils.throttle(function () {
					if (utils.isInView($joinGroupBtn.get(0))) {
						$bottomBtn.hide();
					} else {
						$bottomBtn.css({
							'display':'flex',
							'position': 'fixed',
							'bottom': '0',
							'width': '100%'
						});
					}
				}, 300))
			}

			function setTimeDown(countdown) {
				// const countdown = resData.countdown || resData.end - resData.sys;
				var $noPayTime = $('.noPayTime');
				setTimeout(function () {
					$noPayTime.show();
				}, 400)
				new NewTimer(countdown, function (time) {
					var html = '' +
						'<span class="toEnd">离结束</span>';
					// if (time[0] > 0) {
					// 	html += '<span class="time time_d">' + time[0] + '</span>' +
					// 		'<span class="time">天  </span>';
					// }
					html +=
						'<span class="time time_h">' + time[1] + '</span>' +
						'<span class="time"> ：</span>' +
						'<span class="time time_m">' + time[2] + '</span>' +
						'<span class="time"> ：</span>' +
						'<span class="time time_s">' + time[3] + '</span>' +
						'<span class="time"> ：</span>' +
						'<span class="time time_ms">' + time[4] + '</span>';
					$noPayTime.html(html)
				}, null, 100).startCountDown()
			}

			function iniCouponAlert(resData) {
				var GainCouponStatus = {
					NONE: 0,
					YUAN_9_AVAILABLE: 1,
					OWN_NEW_USER_COUPON: 2
				}
				// 9元券
				if (resData.cpn_avb == GainCouponStatus.YUAN_9_AVAILABLE) {
					_this.popupAlert.show('before-open');
					var $beforeOpen = _this.popupAlert.get$Dia('before-open');
					$beforeOpen.on('click', function () {
						_this.request.getCoupon({courseId: _this.data.courseId}, function (res) {
							if (res.resultCode.code == 0) {
								initSuccAlert(res.value, 'coupon9');
								setTimeDown(res.value.countDownTime);
							} else {
								_this.popupAlert.hide();
								ui61.toast(res.resultCode.message)
								setTimeDown(resData.end - resData.sys);
							}
						})
					})
				} else if (resData.cpn_avb == GainCouponStatus.OWN_NEW_USER_COUPON) {
					setTimeDown(resData.coupon.countDownTime);
					var couponStorageName = 'super_group_coupon_6'
					if (localStorage.getItem(couponStorageName)) return
					initSuccAlert(resData.coupon, 'coupon6')
					localStorage.setItem(couponStorageName, couponStorageName)
				} else {
					setTimeDown(resData.end - resData.sys);
				}

				function initSuccAlert (coupon, couponPrice) {
					if (coupon.countDownTime && coupon.countDownTime <= 0) return
					_this.request.addPvuv(_this.pvuvKeyMap.COUPON7_EXPOSURE);
					var $openSucc = _this.popupAlert.get$Dia('open-succ');
					$openSucc.find('.coupon-desc').text(couponPrice == 'coupon9' ? '新用户9元券' : '新用户6元券');
					_this.popupAlert.show('open-succ');
					new NewTimer(coupon.countDownTime, function (time) {
						var text = time[1] + '：' + time[2] + '：' + time[3] + '：' + time[4] + '内有效';
						$openSucc.find('.cut-down').html(text);
					}, null, 100).startCountDown()
					$openSucc.on('click', function () {
						_this.popupAlert.hide()
						_this.request.addPvuv(_this.pvuvKeyMap.COUPON7_CLICK);
					})
					setTimeout(function () {
						_this.popupAlert.hide()
					}, 3000)
				}
			}
		},
		// 邀请成功页逻辑处理
		initInvitePage: function (resData) {
			var _this = this;
			var LEVEL_UP = 0; // "升级的超级团"
			var OPEN = 1; // "直接开的超级团"

			// 活动结束7天内
			if (!resData.isActEndAfter7Days && resData.leader) {
				location.replace(_this.data.detailUrl + '?superGroupId=' + resData.superGroupId + '&courseId=' + _this.data.courseId)
				return
			}

			if (resData.ingroup) {
				// 活动结束7天后
				var html = '';
				setTimeout(function () {
					resData.members.forEach(function (member, index) {
						var className = member.leader ? 'user-item group-leader' : 'user-item';
						html += '<div class="' + className + '"><div class="user-avatar user-leader"><img src="' + member.head + '"></div><span class="username">' + member.nickName + '</span></div>'
					})
					$('.userlist').html(html);

					$('.userlist').css({
						width: '7.5rem',
						marginLeft: '-.46rem',
						height: 'auto'
					});
					$('.user-avatar').css({
						width: '1.05rem',
						height: '1.05rem'
					});
					$('.username ').css(' max-width', '1rem');
					$('.user-item').css('margin', '0.14rem');
				}, 400)
			}
		},
		initUnsubscribeDetails: function (resData) {
			var _this = this;

			if (resData.isActEnd && !resData.isActEndAfter7Days && resData.leader) {
				location.replace(_this.data.detailUrl + '?superGroupId=' + resData.superGroupId + '&courseId=' + _this.data.courseId)
				return
			}
		},
		//

		initEntry: function (resData) {
			return;
			// 需要对页面进行判断
			var _this = this;
			if (!resData && _this.data.pageName == 'inviteFriends') {
				initFloat();
			}
			if (resData && ['inviteFriends', 'collageDetails'].indexOf(_this.data.pageName) > -1) {
				if (resData.leader || !resData.sub) return // 只针对参团和购课成功且页面没有关注二维码)
				if (resData.hadPay) {
					initFloat();
					if (resData.new) return; // 新用户不弹弹窗
					initAlert(resData);
				}
			} else {
				_this.request.getActState({}, function (res) {
					if (res.resultCode.code == 0) {
						var data = res.value;
						var isActBeing = data.sysTime > data.beginTime && data.sysTime < data.endTime;
						if (isActBeing) {
							['courseList', 'moreCourse'].indexOf(_this.data.pageName) > -1 && initAlert();
							_this.data.pageName == 'user' && initCard();
							_this.data.pageName == 'inviteFriends' && initAlert(); // 单购
						}
					}
				})
			}

			function initCard() {
				setTimeout(function () {
					var $card = $(superCardEntry);
					$card.insertAfter($('.coupon_entry').get(0));
					$card.on('click', function () {
						_this.toAct('card');
					})
					_this.sendPvuv('card', 'exposure');
				}, 500)
			}
			function initFloat() {
				var $superGroupFloat = $(superGroupFloat);
				$('body').append($superGroupFloat);
				$superGroupFloat.on('click', function () {
					_this.toAct('float');
				})
				_this.sendPvuv('float', 'exposure');
			}
			function initAlert(resData) {
				var storageKey;
				if (['inviteFriends', 'collageDetails'].indexOf(_this.data.pageName) > -1) {
					if (resData) {
						// 只针对参团和购课成功且页面没有关注二维码
						if (resData.leader || !resData.sub) return
					}
					storageKey = 'super_group_course';
				} else {
					storageKey = 'super_group_entry';
				}
				if (localStorage.getItem(storageKey)) return // 弹过则不弹
				if (_this.data.pageName == 'moreCourse') {
					$('body').on('superGroupIndex', function () {
						toAlert()
					})
					return;
				}
				toAlert();
				if (_this.data.pageName == 'courseList') {
					window.hadShowSuperGroupAlert = true;
				}

				function toAlert() {
					var $Dia = _this.popupAlert.show('super-group-alert');
					var $alert = $Dia.find('.super-group-alert');
					$alert.on('click', function () {
						_this.toAct('alert')
					})
					$alert.on('click', '.close', function (e) {
						e.stopPropagation();
						_this.popupAlert.hide();
					})
					_this.sendPvuv('alert', 'exposure');
					localStorage.setItem(storageKey, storageKey);
				}
			}
		},
		toAct: function (type) {
			var _this = this;
			_this.sendPvuv(type, 'click', function () {
				location.href = _this.data.mainUrl;
			})
		},
		sendPvuv: function (type, evenType, callback) {
			var _this = this;
			var pvuvKeyMap = _this.pvuvKeyMap;
			var pvuvKey;
			if (evenType == 'click') {
				if (type === 'alert') {
					if (['inviteFriends', 'collageDetails'].indexOf(_this.data.pageName) > -1) {
						pvuvKey = pvuvKeyMap.DETAIL_ALERT_CLICK
					}
					if (_this.data.pageName == 'moreCourse') {
						pvuvKey = pvuvKeyMap.WX_INDEX_ALERT_CLICK
					}
					if (_this.data.pageName == 'courseList') {
						pvuvKey = pvuvKeyMap.WX_MY_COURSE_ALERT_CLICK
					}
				}
				if (type === 'float') {
					if (['inviteFriends', 'collageDetails'].indexOf(_this.data.pageName) > -1) {
						pvuvKey = pvuvKeyMap.DETAIL_FLOAT_CLICK
					}
				}
				if (type === 'card') {
					pvuvKey = pvuvKeyMap.CARD_ENTRY_CLICK
				}
			} else {
				if (type === 'alert') {
					if (['inviteFriends', 'collageDetails'].indexOf(_this.data.pageName) > -1) {
						pvuvKey = pvuvKeyMap.DETAIL_ALERT_EXPOSURE
					}
					if (_this.data.pageName == 'moreCourse') {
						pvuvKey = pvuvKeyMap.WX_INDEX_ALERT_EXPOSURE
					}
					if (_this.data.pageName == 'courseList') {
						pvuvKey = pvuvKeyMap.WX_MY_COURSE_ALERT_EXPOSURE
					}
				}
				if (type === 'float') {
					if (['inviteFriends', 'collageDetails'].indexOf(_this.data.pageName) > -1) {
						pvuvKey = pvuvKeyMap.DETAIL_FLOAT_EXPOSURE
					}
				}
				if (type === 'card') {
					pvuvKey = pvuvKeyMap.CARD_ENTRY_EXPOSURE
				}
			}
			_this.request.addPvuv(pvuvKey, callback, {clientType: 'wx'})
		},
		/**
		 * 曝光统计
		 */
		scrollExposure: function ($elem, callback, $childElem) {
			if (!$elem) return
			var isInviewAndExposure = false;
			if (utils.isInView($elem, $childElem)) {
				// 统计曝光
				callback && callback();
				isInviewAndExposure = true;
			}
			document.addEventListener('scroll', utils.throttle(function () {
				var isEleInView = utils.isInView($elem, $childElem);
				if (isEleInView && !isInviewAndExposure) {
					// 统计曝光
					callback && callback();
					isInviewAndExposure = true
				}
				if (!isEleInView) {
					isInviewAndExposure = false;
				}
			}, 300));
		},
		/**
		 * 弹窗控制器
		 */
		popupAlert: (function () {
			var $Dia = $(Dia);
			$Dia.find('.yid-con-col').children().hide(); // 刚开始隐藏所有弹窗内容的显示
			var hadInsertBody = false; // 弹窗是否插入body中
			var curType = ''; // 当前弹窗

			function checkHide () {
				// 显示弹窗之前，检查其他弹窗是否关闭
				if (curType) {
					$Dia.find('.' + curType).hide();
					$Dia.hide();
				}
			}

			return {
				getCurType: function () {
					return curType
				},
				/**
				 * 获取弹窗对象
				 * @param className
				 * @returns {*}
				 */
				get$Dia: function (className) {
					return className ? $Dia.find('.' + className) : $Dia;
				},
				/**
				 * 隐藏弹窗
				 * @param callback
				 * @returns {*|jQuery.fn.init|jQuery|HTMLElement}
				 */
				hide: function (callback) {
					$Dia.find('.' + curType).hide();
					$Dia.hide();
					callback && callback();
					return $Dia;
				},
				/**
				 * 显示弹窗
				 * @param className 弹窗的class名称
				 * @param callback
				 * @returns {*|jQuery.fn.init|jQuery|HTMLElement}
				 */
				show: function (className, callback) {
					if (!className) return
					checkHide();
					curType = className;
					$Dia.find('.' + className).show();
					hadInsertBody ? $Dia.show() : ($('body').append($Dia) && (hadInsertBody = true));
					callback && callback();
					return $Dia;
				}
			}
		})(),
		// 禁止滑动
		isForbidScroll: (function () {
			var isForbidScroll = utils.forbidScroll();
			return function (isForbid) {
				isForbidScroll(isForbid)
			}
		})(),
		// 请求
		request: (function () {
			var _request = function (url, data, callback, async) {
				$.ajax({
					url: url,
					data: data,
					async: async,
					success: function (res) {
						callback && callback(res);
					},
					fail: function () {
						ui61.toast('网络异常');
					}
				})
			};

			var actId = '10051';

			return {
				// 获取入口信息, 做成同步，以判断是否需要跳转
				groupInfo: function (data, callback) {
					_request('/dengta/act/supergroup/groupInfo.json', data, callback, false)
				},
				getCoupon: function (data, callback) {
					_request('/dengta/act/supergroup/gainCoupon.json', data, callback, true)
				},
				getActState: function(data, callback) {
					_request('/dengta/common/act/' + actId + '/getActState.json', data, callback, true)
				},
				/** pvuv统计 */
				addPvuv: function (pvuvKeyId, callback, expParam) {
					_request('/dengta/common/act/' + actId + '/addPvuv.json', {pvuvKeyId: pvuvKeyId, expParam: expParam || {}}, callback, true)
				}
			}
		})()
	}
</script>

<style scoped lang="less">
	@BASE_IMG_URL: 'http://static2.61info.com/service/imgs/groupPurchase/act/super_group';

	.super-group-alert {
		display: none;
		position: relative;
		width: 750px;
		height: 681px;
		background: url('@{BASE_IMG_URL}/entry_alert.png') no-repeat center / 100%;
		.btn {
			position: absolute;
			left: 50%;
			margin-left: -150px;
			bottom: -140px;
			right: 186px;
			width: 300px;
			height: 98px;
			background: url('@{BASE_IMG_URL}/alert_btn.png') no-repeat center / 100%;
		}
		.close {
			position: absolute;
			top: -100px;
			right: 96px;
			width: 80px;
			height: 80px;
			background: url('@{BASE_IMG_URL}/close.png') no-repeat center center / 54px 54px;
		}
	}
	.super-group-float {
		position: fixed;
		top: 30%;
		right: 39px;
		width: 137px;
		height: 129px;
		.img {
			width: 100%;
			height: 100%;
		}
	}
	.member-list {
		display: flex;
		justify-content: center;
		flex-wrap: wrap;
		.member-item {
			position: relative;
			width: 81px;
			height: 81px;
			border: solid 2px #cccccc;
			border-radius: 50%;
			display: flex;
			justify-content: center;
			align-items: center;
			margin: 0 7px 32px 0;
			&:nth-child(5n) {
				margin-right: 0;
			}
			.avatar {
				width: 71px;
				height: 71px;
				border-radius: 50%;
			}
			&.leader-item {
				border: solid 2px #00bfff;
				&::after {
					content: '团长';
					position: absolute;
					top: 60px;
					left: 50%;
					transform: translateX(-50%);
					z-index: 9;
					width: 87px;
					height: 35px;
					background-color: #00bfff;
					border-radius: 17px;
					display: flex;
					justify-content: center;
					align-items: center;
					font-size: 22px;
					color: #ffffff;
				}
			}
		}
		.share-fake {
			margin-left: 0 !important;
		}
	}
	.not-all-list {
		.member-item {
			z-index: 1;
			margin: 0;
			margin-left: -23px;
			&.one-last {
				margin-left: 0;
			}
		}
		.point-list {
			font-size: 24px;
			color: #000000;
			margin: 0 15px;
			display: flex;
			align-items: center;
		}
		.share-add {
			margin-left: -23px;
			z-index: 5;
		}
	}
	/*.cut-down-time {*/
	/*	font-size: .28rem;*/
	/*	margin-bottom: .34rem;*/
	/*	color: #4d4d4d;*/
	/*	font-weight: bold;*/
	/*	text-align: center;*/
	/*	.toEnd {*/
	/*		font-size: .3rem;*/
	/*		color: #333333;*/
	/*		margin-right: .24rem;*/
	/*	}*/
	/*	.time {*/
	/*		font-weight: bold;*/
	/*		color: #fa512d;*/
	/*		font-size: .4rem;*/
	/*	}*/
	/*}*/
	.super-bag {
		display: none;
		position: relative;
		width: 415px;
		height: 514px;
		.bg {
			position: absolute;
			top: 50%;
			left: 50%;
			transform: translate(-50%, -50%);
			width: 923px;
			height: 923px;
			background: url('@{BASE_IMG_URL}/bag_animate.png') no-repeat center / 100%;
		}
		.bag {
			position: relative;
			width: 100%;
			height: 100%;
			margin-top: -60px;
			.bag-bg {
				position: absolute;
				top: 50%;
				left: 50%;
				transform: translate(-50%, -50%);
				width: 728px;
				height: 728px;
				background: url('@{BASE_IMG_URL}/bag.png') no-repeat center / 100%;
			}
			.btn {
				margin: 0 auto;
				padding-top: 170px;
				width: 206px;
				height: 206px;
				background: url('@{BASE_IMG_URL}/bag_btn.png') no-repeat center / 100%;
			}
		}
	}
	.open-succ {
		display: none;
		width: 415px;
		height: 651px;
		.bag-bg {
			width: 728px !important;
			height: 749px !important;
			background: url('@{BASE_IMG_URL}/open_succ.png') no-repeat center / 100% !important;
		}
		.succ-btn {
			position: absolute;
			bottom: -156px;
			left: 50%;
			margin-left: -160px;
			width: 320px;
			height: 110px;
			background-image: linear-gradient(0deg,
			#ff2b1c 0%,
			#ff7e3e 100%);
			border-radius: 55px;
			display: flex;
			justify-content: center;
			align-items: center;
			font-size: 44px;
			color: #f2f2f2;
		}
		.coupon-desc {
			position: relative;
			z-index: 9;
			font-size: 44px;
			font-weight: bold;
			color: #ff311e;
			padding: 75px 0 0 59px;
		}
		.cut-down {
			position: relative;
			z-index: 9;
			font-size: 28px;
			color: #ffffff;
			text-align: center;
			margin-top: 308px;
		}
	}
	.end-alert {
		position: relative;
		width: 590px;
		height: 700px;
		background: url('@{BASE_IMG_URL}/end.png') no-repeat center / 100%;
		.btn {
			position: absolute;
			bottom: 44px;
			left: 50%;
			transform: translateX(-50%);
			width: 498px;
			height: 86px;
		}
	}

	.flex-row {
		display: -moz-box;
		/* 老版本语法: Firefox (buggy) */
		display: -ms-flexbox;
		/* 混合版本语法: IE 10 */
		display: -webkit-flex;
		/* 新版本语法: Chrome 21+ */
		display: flex;
	}

	@cl-mask: rgba(0, 0, 0, 0.85);
	/**弹窗**/
	.yidialog-con {
		position: fixed;
		width: 100%;
		height: 100%;
		top: 0px;
		left: 0px;
		z-index: 1000;
		background: @cl-mask;

		.yid-con-col {
			display: flex;
			justify-content: center;
			align-items: center;
			width: 100%;
			height: 100%;
		}
	}

	.heart-beat {
		animation: heartBeat 1s infinite;
	}

	@keyframes heartBeat {
		0% {
			-webkit-transform: scale(1);
			transform: scale(1);
		}

		14% {
			-webkit-transform: scale(.8);
			transform: scale(.8);
		}

		28% {
			-webkit-transform: scale(1);
			transform: scale(1);
		}

		42% {
			-webkit-transform: scale(.8);
			transform: scale(.8);
		}

		70% {
			-webkit-transform: scale(1);
			transform: scale(1);
		}
	}

	/**淡入*/
	.fade-in {
		animation: fadeIn 1s;
	}

	@keyframes fadeIn {
		from {
			opacity: 0;
		}
		to {
			opacity: 1;
		}
	}
</style>
